Versionsabfrage nicht möglich/blockiert Erweiterungstab

Aktuelle Version: 2.1.0
Veröffentlicht: 26.10.2015
Forum rules
Vor dem erstellen neuer Supportanfragen bitte zuerst in die board3 Portal FAQ schauen und die Suche benutzen!
Viele Fragen sind bereits schon gestellt und beantwortet worden.
Bitte auch unsere Forumsregeln lesen und beachten!
Meykota
Topic author
Active Member
Active Member
Posts: 17
Joined: 4. May 2014 18:56

Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Meykota » 25. February 2017 21:51

Hey Leute,

seit ein paar Tagen haben wir keinen Zugriff mehr auf unseren Erweiterungstab im Admin. Wenn ich auf "Erweiterungen" klicke, kommt immer nur eine Fehlermeldung, dass die Versionsabfrage für Board 3 nicht geklappt hat. Wisst ihr, was da sein könnte? Vorher ging alles wie immer und wir haben auch keine neuen Erweiterungen installiert oder irgendwelche anderen Veränderungen vorgenommen. Die genaue Fehlermeldung lautet:
Fatal error: Uncaught exception 'RuntimeException' with message 'Die Informationen über die aktuelle Version konnten nicht abgerufen werden.' in /www/htdocs/w011ec29/phpbb/version_helper.php:295 Stack trace: #0 /www/htdocs/w011ec29/phpbb/version_helper.php(234): phpbb\version_helper->get_versions(true, false) #1 /www/htdocs/w011ec29/phpbb/version_helper.php(213): phpbb\version_helper->get_versions_matching_stability(true, false) #2 /www/htdocs/w011ec29/ext/board3/portal/includes/version_check.php(79): phpbb\version_helper->get_suggested_updates(true) #3 /www/htdocs/w011ec29/ext/board3/portal/acp/portal_module.php(163): board3\portal\includes\version_check->check() #4 /www/htdocs/w011ec29/includes/functions_module.php(674): board3\portal\acp\portal_module->main('\\board3\\portal\\...', 'config') #5 /www/htdocs/w011ec29/adm/index.php(81): p_master->load_active() #6 {main} thrown in /www/htdocs/w011ec29/phpbb/version_helper.php on line 295
Das Forum läuft immer noch auf 3.1.10 und das Portal müsste eigentlich auch auf dem neuesten Stand sein. Weiß jemand Rat?

User avatar
Kirk
Portal Professional
Portal Professional
Posts: 1410
Joined: 27. July 2010 18:02
phpBB.de User: Kirk

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kirk » 25. February 2017 22:46

Hallo
Anscheinend benutzt du eine ältere Version, denn eine
includes\version_check gibt es in der aktuellen Version nicht mehr.
Gruß Udo

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 12:02

Guten Tag,
Auch bei mir kommt genau dieser Fehler. Bei drei Foren.
Ich habe 3 Foren. zweimal 3.1.9 und einmal 3.1.10.
Ich habe die Portalversion 2.1( am 5.2015 installiert), habe aber die Datei version-check.php im includeverzeichnis ????
Als kleiner Hinweis alle 3 Foren laufen bei Alfa H.... und an zwei wurde absolut nichts gemacht. Das Portal selbst funktioniert alles.
Vor einer Woche ging es noch, doch gestern der Fehler.

Wie kann ich nun die ältere Version sauber entfernen wenn ich keinen Zugriff mehr habe und dann die neue Version installieren.
Kann es sein dass dieser Fehler mit ssl Zertifikaten zu tun hat, denn da wurde die Tage etwas von Alfa..angekündigt?
Was kann ich noch machen und wie kann es plötzlich diese Fehlermeldung geben.
Vielen Dank für Eure Hilfe

User avatar
Kevin
Site Admin
Site Admin
Posts: 2870
Joined: 7. January 2006 21:11
phpBB.de User: Saint
phpBB.com User: Saint_hh
Location: Hamburg

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kevin » 27. February 2017 12:20

Hati wrote:
27. February 2017 12:02
Kann es sein dass dieser Fehler mit ssl Zertifikaten zu tun hat, denn da wurde die Tage etwas von Alfa..angekündigt?
Grundsätzlich wurde ja erst vor kurzem auch hier auf board3.de auf SSL / https umgestellt. Ob es etwas damit zu tun hat?
Ich habe aber bei einem anderen Forum von mir geschaut (das nicht unter https läuft) und es gibt keine Probleme bei der Versionsabfrage.
~~~ They say the definition of madness is doing the same thing and expecting a different result ~~~

Kein Support per PN / No support via PM!

User avatar
Kevin
Site Admin
Site Admin
Posts: 2870
Joined: 7. January 2006 21:11
phpBB.de User: Saint
phpBB.com User: Saint_hh
Location: Hamburg

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kevin » 27. February 2017 14:56

Alles ohne https:
Von einem Board mit phpBB 3.1.3 mit B3P 2.1.0-rc2 gestestet: "Die Informationen über die aktuelle Version konnten nicht abgerufen werden" - aber kein Crash
Von einem anderen Board mit phpBB 3.1.10 und B3P 2.1.0: "Board3 Portal ist aktuell "

Also: tut mir leid, ich kann das nicht reproduzieren.
~~~ They say the definition of madness is doing the same thing and expecting a different result ~~~

Kein Support per PN / No support via PM!

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 15:08

Wie komme ich denn nun wieder auf die Erweiterungen? Ich kann ja nichts deaktivieren oder richtig deinstallieren.

Fatal error: Uncaught exception 'RuntimeException' with message 'Die Informationen über die aktuelle Version konnten nicht abgerufen werden.' in /var/www/web682/html/Neckar/Forum/phpbb/version_helper.php:295 Stack trace: #0 /var/www/web682/html/Neckar/Forum/phpbb/version_helper.php(234): phpbb\version_helper->get_versions(true, false) #1 /var/www/web682/html/Neckar/Forum/phpbb/version_helper.php(213): phpbb\version_helper->get_versions_matching_stability(true, false) #2 /var/www/web682/html/Neckar/Forum/ext/board3/portal/includes/version_check.php(79): phpbb\version_helper->get_suggested_updates(true) #3 /var/www/web682/html/Neckar/Forum/ext/board3/portal/acp/portal_module.php(163): board3\portal\includes\version_check->check() #4 /var/www/web682/html/Neckar/Forum/includes/functions_module.php(674): board3\portal\acp\portal_module->main('\\board3\\portal\\...', 'config') #5 /var/www/web682/html/Neckar/Forum/adm/index.php(81): p_master->load_active() #6 {main} thrown in /var/www/web682/html/Neckar/Forum/phpbb/version_helper.php on line 295

User avatar
Kirk
Portal Professional
Portal Professional
Posts: 1410
Joined: 27. July 2010 18:02
phpBB.de User: Kirk

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kirk » 27. February 2017 19:17

Hati wrote:
27. February 2017 15:08
Wie komme ich denn nun wieder auf die Erweiterungen?
Lösche mal die Datei version_check.php im Verzeichnis ./ext/board3/portal/includes/ per FTP vom Server.
Gruß Udo

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 20:06

Danke das habe ich soeben in einem meiner Foren versucht dann kommt:

Fatal error: Uncaught exception 'ReflectionException' with message 'Class board3\portal\includes\version_check does not exist' in /var/www/web682/html/Bodensee/phpBB3/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php:892 Stack trace: #0 /var/www/web682/html/Bodensee/phpBB3/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(892): ReflectionClass->__construct('board3\\portal\\i...') #1 /var/www/web682/html/Bodensee/phpBB3/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php(456): Symfony\Component\DependencyInjection\ContainerBuilder->createService(Object(Symfony\Component\DependencyInjection\Definition), 'board3.portal.v...') #2 /var/www/web682/html/Bodensee/phpBB3/ext/board3/portal/acp/portal_module.php(51): Symfony\Component\DependencyInjection\ContainerBuilder->get('board3.portal.v...') #3 /var/www/web682/html/Bodensee/phpBB3/includes/functions_module.php(590): board3\portal\acp\portal_modul in /var/www/web682/html/Bodensee/phpBB3/vendor/symfony/dependency-injection/Symfony/Component/DependencyInjection/ContainerBuilder.php on line 892

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 20:09

Welche datenbankeinträge könnte ich löschen um dann auch die Dateien zu löschen. Also dass alles sauber weg wäre. Dann könnte ich ja die neuere Board3 version 2.1.0 drauf machen.

User avatar
Kevin
Site Admin
Site Admin
Posts: 2870
Joined: 7. January 2006 21:11
phpBB.de User: Saint
phpBB.com User: Saint_hh
Location: Hamburg

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kevin » 27. February 2017 20:24

Mach doch ein Backup deiner jetzigen Version, lösche alles und bügel die neue Version drüber. Also Eternal Dateien.
Vielleicht ist dann der Bereich schon wieder erreichbar.
~~~ They say the definition of madness is doing the same thing and expecting a different result ~~~

Kein Support per PN / No support via PM!

User avatar
Kirk
Portal Professional
Portal Professional
Posts: 1410
Joined: 27. July 2010 18:02
phpBB.de User: Kirk

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kirk » 27. February 2017 21:48

Es gibt noch eine Möglichkeit:
Lade die version_check.php wieder in das korrekte Verzeichnis.
Finde in der ./ext/board3/portal/acp/portal_module.php das hier:

Code: Select all

$this->version_check->check();
Ersetze es mit:

Code: Select all

//$this->version_check->check();
Gruß Udo

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 21:50

So nun weiß ich zwar immer noch nicht warum es nicht geht aber vielleicht kann ich nun damit auch jemand weiterhelfen.
Folgendes funktionierte
Ich habe soeben ein phpBB3.1.10 neu installiert um das zu testen.
Dann habe ich das Board-portal 2.1.0 installiert und es ging.
Dann das 2.1.0 unter Anpassung/Erweiterungen verwalten deaktiviert und auch Arbeitsdaten gelöscht (wird in der selben Zeile angeboten).
Dann nur noch die Daten im ext- Ordner gelöscht. Also wieder nur ein Forum wie Neu ohne Erweiterungen.

Vergesst übrigens die Löschungen in der Datenbank,die sind nämlich etwas verzweigter als ich dachte. Muß man ja auch nicht.

So nun habe ich testhalber 2.1.0-rc2 installiert und siehe da, es kam die Fehlermeldung wie gehabt.
Zur Kontrolle alles wieder entfernt und 2.1.0 wieder draufgemacht und das ging dann wieder.
Warum der Fehler ja nicht nur bei mir sondern auch diese Tage von jemand anderem auftrat ist mir ein Rätsel.

User avatar
Kirk
Portal Professional
Portal Professional
Posts: 1410
Joined: 27. July 2010 18:02
phpBB.de User: Kirk

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Kirk » 27. February 2017 22:04

Es kann sein das auf dem Server wo dein Board liegt die Funktion fsockopen deaktiviert ist.
In der 2.1.0-rc2 Version gab es einen Bug, der wenn die oben genannte Funktion deaktiviert ist, die von dir genannte Fehlermeldung auslöste.
Entweder du macht es so wie in diesem Beitrag geschrieben oder du machst diese Änderung.
Gruß Udo

Hati
Active Member
Active Member
Posts: 6
Joined: 27. February 2017 10:22

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Hati » 27. February 2017 23:27

Danke, habe alle 3 Foren ein Portalupdate gemacht wie unter "Anpassen/Erweiterungen verwalten" kurz beschrieben. Alles geht wieder nun mit 2.1.0


wie kann es aber die ganze Zeit mit 2.1.RC gehen und dann plötzlich in 3 Foren nicht. Und mein vorheriger Schreiber ebenfalls die Tage.

Meykota
Topic author
Active Member
Active Member
Posts: 17
Joined: 4. May 2014 18:56

Re: Versionsabfrage nicht möglich/blockiert Erweiterungstab

Post by Meykota » 2. March 2017 23:41

Finde es auch komisch, dass es plötzlich auftritt... Aber bei mir hat auch alles geklappt, als ich einfach die aktuellste Version vom Board3 installiert habe. Kann sich einer der Entwickler möglicherweise erklären, woher das kommen könnte? :)

Return to “Board3 Portal 2.1.x - Deutscher Support”

Who is online

Users browsing this forum: CommonCrawl [Bot] and 8 guests